# spring.datasource.driver-class-name=org.postgresql

#Connection with env variables
spring.datasource.url=${JDBC_POSTGRES_DATABASE_URL}
#Without env variables
# spring.datasource.url=jdbc:postgresql://localhost:5432/springbootdb?user=postgres&password=123456
# jdbc:postgresql://<hostname>:5432/<dbname>?user=<userName>&password=<password>&sslmode=require

#You dont need to specify,since Spring Boot can deduce it for most databases from the url
spring.datasource.driver-class-name=org.postgresql.Driver

# spring.datasource.url=jdbc:postgresql://localhost:5432/springbootdb
# spring.datasource.username=postgres
# spring.datasource.password=123456

# spring.datasource.platform=postgresql
# spring.datasource.initialization-mode=always
# spring.datasource.initialize=true

# Son Archivos de inicializacion de base de datos, schema-> crea una tabla, data-> inserta rows
# Estan a la altura de application.properties
spring.datasource.schema=classpath:schema.sql
# spring.datasource.data=classpath:data.sql


#Hibernate ddl auto (Craete, crea-drop, validate, update)
spring.jpa.hiberante.ddl-auto = none
